<?php
session_start();
%SET_LOGIN_VARIABLE%
%NO_CHEAP_SESSION_STEALING%
%PLEAZE_NO_CACHE%
$navbar="boards";
$id=$_GET['id'];
?>
<!DOCTYPE html>
<html>
  <head>
    <title>ThreadR - Boards</title>
    %STYLESHEET%
    <link rel="icon" type="image/png" href="%CONTENT_DIR%/img/favicon-32x32.png" sizes="32x32" />
    <?php
    if(isset($_GET['action'])) {
      if ($_GET['action']=='submit') {
        echo "<meta http-equiv=\"refresh\" content=\"5;URL=%CONTENT_DIR%/board/?id=$id\">";
      } 
    } else {
      echo "<meta name=\"viewport\" content=\"width=device-width, initial-scale=1.0\">";
    }
    ?>
  </head>
  <body onLoad="window.scrollTo(0,document.body.scrollHeight)">
    %NAVBAR%
    <div class="container">
      <div class="item-1">
        <h1><center>
          <?php
          $pdo = new PDO('mysql:host=localhost;dbname=web', 'webstuff', 'Schei// auf Pa$$w0rter!');
          $error = false;
          $error_message = "";
          if (!$error) {
            $statement = $pdo->prepare("SELECT * FROM boards WHERE id=:id");
            $statement->execute(array("id"=>$id));
            $result = $statement->fetch();
            echo $result['name'];
          }
          if (!$result) {
            $error_message = "Error: SQL error.\n" . $statement->queryString . "\n" . $statement->errorInfo()[2];
          }
          ?>
          </center></h1>
      </div>
      <div class="item-2">
        <?php
        include("./board.php");
        ?>
      </div>
      <div class="item-3">
        <?php
        if($login) {
          if(isset($_GET['action'])) {
            if($_GET['action']=='post') {
              include("./post.php");
            } elseif($_GET['action']=='submit') {
              $user_id=$_SESSION[user_id];
              $title=$_POST['title'];
              $content=$_POST['content'];
              include("./submit.php");
            } elseif($_GET['action']=='edit') {
              include("./edit.php");
            }
          } else {
            include("./default.php");
          }
        } else {
          echo "<div class='margin'><a href='%CONTENT_DIR%/login/'><button> Log in to post something </button></a></div>";
        }
        ?>
      </div>
    </div>
    %BANNER_COOKIES%
  </body>
</html>
